gnutls_hash_output(3)

NAME
gnutls_hash_output - API function

SYNOPSIS
#include <gnutls/crypto.h>

void gnutls_hash_output(gnutls_hash_hd_t handle, void * digest);

ARGUMENTS

gnutls_hash_hd_t handle
    is a gnutls_hash_hd_t type

void * digest
    is the output value of the hash

DESCRIPTION
This function will output the current hash value and reset the state of the hash.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/